<qml title="Set Login Name(s)">

  <h1>Set Login Name(s)</h1>  

  <p> 
    The <a href="def_multiusertasking.qml">multiuser</a> nature of a Linux
    system enables one machine to provide services for many different users. 
    A good example of such a system is a server run by an ISP.  Most Internet 
    providers have machines running operating systems similar to Linux, each 
    machine serving multiple users with multiple login accounts.
  </p>

  <p>
    The Linux system you are installing operates in much the same manner.
    Many login accounts can reside on one machine, each one being accessible
    by a unique login name and password. 
  </p>

  <p>
    What you need to do with this screen is set up at least one regular login
    account which you will use for your every-day operations.  The reasoning
    behind this is simple:
  </p>

  <p>
    Unless you are performing some kind of configuration or maintenance on your
    computer, you should <em>not</em> log in as root.  <p> Spending all of your
    time logged in as the 'root' user is <em>highly discouraged</em> because
    there is nothing stopping you from accidentally altering important
    configuration files or documents.  At least while logged in as a regular
    user, these important files are protected from your alterations.
  </p>

  
  <h2>Explanation of the various fields</h2>

  <p>
    Stepping through the fields of this screen, we have the following options:
  </p>


  <h3>Real name</h3>

  <p>
    Enter the full name of the user whose login account you are setting up. 
    If you are setting this account up for a group of people (such as a
    generic account for database administrators), put explanatory text in
    this field that describes the group for which the account was made.
  </p>


  <h3>Login name</h3>

  <p>
    This is where you enter the actual name of the account.  When logging
    in, this is the name that will be entered at the login prompt. Typically,
    a short variation of the text entered in the "Real name" field is used
    for the login name (i.e. if "Joe Smith" was entered in the "Real name"
    field, it may be good to enter "jsmith" or "joes" here).  
  </p>

  <p>
    Note that there can be only one of each login name on a system.  In other 
    words, you can not have two "jsmith" accounts; once a login name is used, 
    it can not be assigned to any other accounts on the system.
  </p>

  <h3>Password</h3>

  <p>
    The most important verification element in the login process is the
    password.  Without it, nobody should be able to log into your account
    except for the system administrator, who can log into your account
    without knowing your password (this is a security feature; even system
    administrators do not know users' passwords!).  
  </p>

  <p>
    Be sure to make your passwords sufficiently odd to make them hard
    to guess. Combinations of letters, numbers, and periods are common.
    <em>Never</em> use any easy to guess words as your password! Try
    to think of what you would guess for a password if you were another
    person trying to break into your account, and <em>don't use</em>
    these passwords (i.e. Are you vocal about having a passion for
    antique cars?  If the answer is "yes," do not choose a password like
    "modelT" or "57chevy" because they may be fairly easy for others to
    guess). The more detached the password is from your personal interests
    and the more odd combinations of letters, numbers, and periods that
    you use, the better off you will be.  
  </p>

  <p>
    Also, never write down your password; you could put the paper down
    somewhere or throw it out, after which someone else could come along
    and grab it.
  </p>


  <h3>Confirm Spelling</h3>

  <p>
    There is always ample opportunity to mistype a password the first time
    around, especially if it is an odd one.  This field forces you to enter the
    password again to make sure you are typing it correctly. If what you type
    here does not match what was typed in the "Password" field, the password
    will not be assigned to the login account.  Only when both versions of the
    password match will the change take affect.
  </p>


  <h3>Login Shell</h3>

  <p>
    The login shell provides an environment where you can execute commands
    and start applications from a command prompt.  Also, it provides scripting
    capabilities that enable you to string execution of commands and programs
    by executing a single command.  People who remember how DOS works will be
    familiar with COMMAND.COM and the "batch" scripting language it provided.
    The functionality and purpose of DOS's COMMAND.COM is similar to Linux's
    login shells, even though much less powerful or feature-rich.
  </p>

  <p>
    The most common of the Linux login shells is the GNU Bourne-Again Shell,
    otherwise refered to as "<b>bash</b>".  It closely resembles the classic
    Bourne Shell that shipped with certain variants of UNIX, but with a number
    of enhancements like command line completion (the ability to type in a few
    letters, hit the Tab key, and have the rest of the command or file name
    filled out for you), as well as enhancements to the scripting language.
  </p>

  <p>
    The next shell offered in this screen is a variation of the Berkeley "C"
    Shell called "<b>tcsh</b>".  People who are migrating to Linux from a BSD
    UNIX background will probably want to use this login shell instead of
    bash. Its scripting language is rather extensive, and its syntax closely
    resembles that of the C programming language.  
  </p>

  <p>
    The third shell offered is "<b>zsh</b>".  This shell incorporates a number
    of features from both bash and tcsh, making it a hybrid of sorts for those
    who can not choose between the other two.
  </p>

  <p>
    Unless there is a clear need to do otherwise, it is safe to choose
    <b>bash</b> for all new login accounts.
  </p>


  <h3>The Add User button</h3>

  <p>
    When all of the options are chosen and the fields are filled, click on
    this button to create the new login account. The new account information
    should appear in the window below the button after the button is selected.
  </p>

</qml>
