<body>
<qml title="Hard Disk Selection">
  <h1>
    Hard Disk Selection
  </h1>
  <h2>
    <a name="Overview">
      Overview
    </a>
  </h2>
  <p>
    Before OpenLinux can be installed, you must create
    <a href="def_partition.qml">partitions</a> for it to reside on.  This
    screen allows you to select a hard disk and prepare it for Linux to be
    installed.
  </p>
  <p>
   <em>
    WARNING: This will destroy all data on the disk you select.  Be
    sure the disk you select is the correct disk.  For an explanation of
    device names, please see the <a href="disksel.qml#Device">device</a>
    section below.
   </em>
  </p>
  <h2>
    <a name="Information Description">
      Information Description
    </a>
  </h2>
  <p>
    On the hard disk partitioning screen, you will see a window which
    includes information about your hard disks.  Each column is described
    in more detail below.
  </p>
  <h3>
    <a name="Device">
      Device
    </a>
  </h3>
  <p>
    Each device name in the <strong>Device</strong> column refers to a hard
    disk, CDROM drive, or other partition able device.  Partitions> on each
    device are also included.  Device names for drives and partitions in
    OpenLinux are as follows:
  </p>
  <ul>
    <li>
      IDE/ATAPI devices
    </li>
    <ul>
      <li>
        <strong>/dev/hda</strong> = Primary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdb</strong> = Primary IDE channel, Slave Device
      </li>
      <li>
        <strong>/dev/hdc</strong> = Secondary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdd</strong> = Secondary IDE channel, Slave Device
      </li>
    </ul>
    <li>
      SCSI devices
    </li>
    <ul>
      <li>
        <strong>/dev/sda</strong> = The first SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdb</strong> = The second SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdc</strong> = The third SCSI hard disk/CDROM drive
      </li>
      <li>
        and so on.
      </li>
    </ul>
  </ul>
  <p>
    Most pre-built systems include one IDE hard disk and one ATAPI CDROM
    drive.  On those systems, the default is usually to have the IDE hard
    disk as the Primary Master device, or <strong>/dev/hda</strong>, and the
    CDROM drive as the Secondary Master device, or <strong>/dev/hdc</strong>.
  </p>
  <h3>
    <a name="Size">
      Size
    </a>
  </h3>
  <p>
    The <strong>Size</strong> column contains the current size of the
    corresponding partition.  MB is used to represent Megabytes.
  </p>
  <h3>
    <a name="System">
      System (<strong> Currently used for </strong> column)
    </a>
  </h3>
  <p>
    The <strong>System</strong> column contains the type of system for
    which the partition will be formatted.  Before a partition can be used 
    to store data or contain an operating system, it must be formatted.  
    The available types of formatting are:
    <ul>
      <li>
        <a href="def_linux-native.qml">Linux Native</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li>
        <a href="def_extended.qml">Extended</a>
      </li>
      <li>
        <a href="def_doswin.qml">DOS / Windows</a>
      </li>
    </ul>
  </p>
  <h2>
    <a name="Button Description">
      Button Description
    </a>
  </h2>
  <h3>
    <a name="Prepare">
      Prepare selected disk for Linux
    </a>
  </h3>
  <p>
    The <strong>Prepare selected disk for Linux</strong> button is used
    to prepare the hard disk for installing OpenLinux. The system will
    determine the best use of space on the hard disk and partition it
    accordingly.
  </p>
  <p>
   <em>
    WARNING:  This will destroy all data on the hard disk.  Use this option
    with caution.
   </em>
  </p>
  <p>
    After completing the preparation, you will be able to continue the
    installation process with the <strong>Next</strong> button.
  </p>
</qml>
