<qml title="Partitioning Hard Disks">
  <h1>
    Partitioning Hard Disks
  </h1>
  <h2>
    <a name="Overview">
      Overview
    </a>
  </h2>
  <p>
    Before OpenLinux can be installed, you must create <a
    href="def_partition.qml">partitions</a> for it to reside on.  Usually
    you will want at least 2 partitions, one for the OpenLinux <a
    href="def_rootpart.qml">root</a> partition, and one for the OpenLinux <a
    href="def_linux-swap.qml">swap</a> partition.  More partitions can be
    mounted to other directories in the OpenLinux filesystem, such as the
    users' local storage space (/home) residing on its own partition, as
    described in the <a href="fdisk.qml#Mount Point">Mount Point</a>
    section.
  </p>
  <h2>
    <a name="Information Description">
      Information Description
    </a>
  </h2>
  <p>
    On the hard disk partitioning screen, you will see a window which
    includes information about your hard disk.  Each column is described
    in more detail below.
  </p>
  <h3>
    <a name="Device">
      Device
    </a>
  </h3>
  <p>
    Each device name in the <strong>Device</strong> column refers to a hard
    disk, CDROM drive, or other partitionable device.  Partitions on each 
    device are also included.  Device names for drives and partitions in
    OpenLinux are as follows.
  </p>
  <ul>
    <li>
      IDE/ATAPI devices
    </li>
    <ul>
      <li>
        <strong>/dev/hda</strong> = Primary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdb</strong> = Primary IDE channel, Slave Device
      </li>
      <li>
        <strong>/dev/hdc</strong> = Secondary IDE channel, Master Device
      </li>
      <li>
        <strong>/dev/hdd</strong> = Secondary IDE channel, Slave Device
      </li>
    </ul>
    <li>
      SCSI devices
    </li>
    <ul>
      <li>
        <strong>/dev/sda</strong> = The first SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdb</strong> = The second SCSI hard disk/CDROM drive
      </li>
      <li>
        <strong>/dev/sdc</strong> = The third SCSI hard disk/CDROM drive
      </li>
      <li>
        and so on.
      </li>
    </ul>
  </ul>
  <p>
    Most pre-built systems include one IDE hard disk and one ATAPI CDROM
    drive.  On those systems, the default is usually to have the IDE hard
    disk as the Primary Master device, or <strong>/dev/hda</strong>, and the
    CDROM drive as the Secondary Master device, or <strong>/dev/hdc</strong>.
  </p>
  <p>
    Each drive is divided into partitions. However, before using such 
    partitions, they must be initialized, or formatted, in a certain way 
    depending on what type of data will be stored on them.  Those system 
    types are described in the <a href="fdisk.qml#System">System</a> section 
    below.
  </p>
  <p>
    The convention for referencing paritions on each hard drive is to simply
    append a number to the end of the disk's device name, starting with 1
    (one).  For example, the first partition on the Primary Master IDE disk
    is referenced by <strong>/dev/hda1</strong>, the second partition on
    the same disk is <strong>/dev/hda2</strong>, and so on.
  </p>
  <h3>
    <a name="Start">
      Start
    </a>
  </h3>
  <p>
    The <strong>Start</strong> column refers to the corresponding
    partition's (or disk's) starting <a href="def_sectors.qml">sector</a>.
    For example, if /dev/hda1 starts at the beginning of the disk, its
    starting sector will be 1.
  </p>
  <p>
    See also:  <a href="fdisk.qml#End">End</a>
  </p>
  <h3>
    <a name="End">
      End
    </a>
  </h3>
  <p>
    The <strong>End</strong> column is much like the <a
    href="fdisk.qml#Start">Start</a> column, except that it designates the
    ending <a href="def_sectors.qml">sector</a> of the partition or disk.  
    The <strong>Start</strong> and <strong>End</strong> sectors represent the
    <a href="def_sector-range.qml">range</a> of sectors a specific
    partition or disk uses.  
  </p>
  <h3>
    <a name="Size">
      Size
    </a>
  </h3>
  <p>
    The <strong>Size</strong> column contains the current size of the
    corresponding partition.  MB is used to represent megabytes.
  </p>
  <h3>
    <a name="System">
      System
    </a>
  </h3>
  <p>
    The <strong>System</strong> column contains the type of system for
    which the partition will be formatted.  Before a partition can be used 
    to store data or contain an operating system, it must be formatted.  The 
    available types of formatting are
    <ul>
      <li>
        <a href="def_linux-native.qml">Linux Native</a>
      </li>
      <li>
        <a href="def_linux-swap.qml">Linux Swap</a>
      </li>
      <li>
        <a href="def_extended.qml">Extended</a>
      </li>
      <li>
        <a href="def_doswin.qml">DOS / Windows</a>
      </li>
    </ul>
  </p>
  <h3>
    <a name="Bootable">
      Bootable
    </a>
  </h3>
  <p>
    The <strong>bootable</strong> column represents whether the
    corresponding partition will be bootable or not.  Normally you will only 
    want <strong>one</strong> bootable partition, since most systems will not 
    know what to do if they find more than one.
  </p>
  <h3>
    <a name="Mount Point">
      Mount Point
    </a>
  </h3>
  <p>
    The <strong>mount point</strong> column is used to display to what
    directory the corresponding partition will be mounted.  For example, 
    you could have all users' home directories on a separate partition (for 
    safety or reuse between systems) by specifying <strong>/home</strong> as 
    the mount point.  One partition must be designated as the 
    <a href="def_rootpart.qml">root</a> ('/') partition.
  </p>
  <h3>
    <a name="Formatting">
      Formatting
    </a>
  </h3>
  <p>
    The <strong>formatting</strong> column designates whether the
    corresponding partition will be formatted or not. If you have data
    that will be used in the new OpenLinux system but is not 
    to be formatted (such as in users' home directories), make sure this is 
    set to "no" using the <a href="fdisk.qml#Edit">Edit</a> feature.
  </p>
  <h2>
    <a name="Button Description">
      Button Description
    </a>
  </h2>
  <h3>
    <a name="Edit">
      Edit
    </a>
  </h3>
  <p>
    The <strong>edit</strong> button is used when changing the parameters of
    a partition.  The parameters that can be changed are the 
    <a href="fdisk.qml#Start">Start</a> and <a href="fdisk.qml#End">End</a> 
    sectors, the <a href="fdisk.qml#System">System</a> type, the 
    <a href="fdisk.qml#Mount Point">mount point</a>, the 
    <a href="fdisk.qml#Bootable">bootable</a> flag, and whether the partition 
    should be <a href="fdisk.qml#Formatting">formatted</a> or not.  Some 
    partitions must be formatted, such as the <a href="def_rootpart.qml">root
    </a> partition.
  </p>
  <h3>
    <a name="Delete">
      Delete
    </a>
  </h3>
  <p>
    The <strong>delete</strong> button is used for deleting the parameters
    on a partition.  If you wish to reset a partitions settings, then
    click this button. 
  </p>
  <h3>
    <a name="Add Logical">
      Add Logical
    </a>
  </h3>
  <p>
    The <strong>add logical</strong> button can be used to create a <a
    href="def_logical.qml">logical</a> partition within an 
    <a href="def_extended.qml">extended</a> partition.  You can only create a
    logical partition if an extended partition is present.
  </p>
  <h3>
    <a name="Write">
      Write
    </a>
  </h3>
  <p>
    The <strong>write</strong> button is used to save the current 
    partition information to the disk's partition tables.  You must write the 
    partition information before the <strong>next</strong> button will be 
    available and continuing.
  </p>
  <h3>
    <a name="Reset">
      Reset
    </a>
  </h3>
  <p>
    The <strong>reset</strong> button is used to change the 
    partition settings back to what they originally were before entering this 
    screen.  Think of this as an "undo all changes" button.
  </p>
</qml>
